| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Static Public Attributes
Fling::KeyNames Struct Reference

`#include <Key.h>`

## Static Public Attributes
static std::string | FL_KEY_UNKNOWN = "UNKNOWN"
static std::string | FL_KEY_SPACE = "SPACE"
static std::string | FL_KEY_APOSTROPHE = "APOSTROPHE"
static std::string | FL_KEY_COMMA = "COMMA"
static std::string | FL_KEY_MINUS = "MINUS"
static std::string | FL_KEY_PERIOD = "PERIOD"
static std::string | FL_KEY_SLASH = "SLASH"
static std::string | FL_KEY_0 = "0"
static std::string | FL_KEY_1 = "1"
static std::string | FL_KEY_2 = "2"
static std::string | FL_KEY_3 = "3"
static std::string | FL_KEY_4 = "4"
static std::string | FL_KEY_5 = "5"
static std::string | FL_KEY_6 = "6"
static std::string | FL_KEY_7 = "7"
static std::string | FL_KEY_8 = "8"
static std::string | FL_KEY_9 = "9"
static std::string | FL_KEY_SEMICOLON = "SEMICOLON"
static std::string | FL_KEY_EQUAL = "EQUAL"
static std::string | FL_KEY_A = "A"
static std::string | FL_KEY_B = "B"
static std::string | FL_KEY_C = "C"
static std::string | FL_KEY_D = "D"
static std::string | FL_KEY_E = "E"
static std::string | FL_KEY_F = "F"
static std::string | FL_KEY_G = "G"
static std::string | FL_KEY_H = "H"
static std::string | FL_KEY_I = "I"
static std::string | FL_KEY_J = "J"
static std::string | FL_KEY_K = "K"
static std::string | FL_KEY_L = "L"
static std::string | FL_KEY_M = "M"
static std::string | FL_KEY_N = "N"
static std::string | FL_KEY_O = "O"
static std::string | FL_KEY_P = "P"
static std::string | FL_KEY_Q = "Q"
static std::string | FL_KEY_R = "R"
static std::string | FL_KEY_S = "S"
static std::string | FL_KEY_T = "T"
static std::string | FL_KEY_U = "U"
static std::string | FL_KEY_V = "V"
static std::string | FL_KEY_W = "W"
static std::string | FL_KEY_X = "X"
static std::string | FL_KEY_Y = "Y"
static std::string | FL_KEY_Z = "Z"
static std::string | FL_KEY_LEFT_BRACKET = "BRACKET"
static std::string | FL_KEY_BACKSLASH = "BACKSLASH"
static std::string | FL_KEY_RIGHT_BRACKET = "BRACKET"
static std::string | FL_KEY_GRAVE_ACCENT = "ACCENT"
static std::string | FL_KEY_WORLD_1 = "WORLD_1"
static std::string | FL_KEY_WORLD_2 = "WORLD_1"
static std::string | FL_KEY_ESCAPE = "ESCAPE"
static std::string | FL_KEY_ENTER = "ENTER"
static std::string | FL_KEY_TAB = "TAB"
static std::string | FL_KEY_BACKSPACE = "BACKSPACE"
static std::string | FL_KEY_INSERT = "INSERT"
static std::string | FL_KEY_DELETE = "DELETE"
static std::string | FL_KEY_RIGHT = "RIGHT"
static std::string | FL_KEY_LEFT = "LEFT"
static std::string | FL_KEY_DOWN = "DOWN"
static std::string | FL_KEY_UP = "UP"
static std::string | FL_KEY_PAGE_UP = "PAGE_UP"
static std::string | FL_KEY_PAGE_DOWN = "PAGE_DOWN"
static std::string | FL_KEY_HOME = "HOME"
static std::string | FL_KEY_END = "END"
static std::string | FL_KEY_CAPS_LOCK = "CAPS_LOCK"
static std::string | FL_KEY_SCROLL_LOCK = "SCROLL_LOCK"
static std::string | FL_KEY_NUM_LOCK = "NUM_LOCK"
static std::string | FL_KEY_PRINT_SCREEN = "PRINT_SCREEN"
static std::string | FL_KEY_PAUSE = "PAUSE"
static std::string | FL_KEY_F1 = "F1"
static std::string | FL_KEY_F2 = "F2"
static std::string | FL_KEY_F3 = "F3"
static std::string | FL_KEY_F4 = "F4"
static std::string | FL_KEY_F5 = "F5"
static std::string | FL_KEY_F6 = "F6"
static std::string | FL_KEY_F7 = "F7"
static std::string | FL_KEY_F8 = "F8"
static std::string | FL_KEY_F9 = "F9"
static std::string | FL_KEY_F10 = "F10"
static std::string | FL_KEY_F11 = "F11"
static std::string | FL_KEY_F12 = "F12"
static std::string | FL_KEY_F13
static std::string | FL_KEY_F14
static std::string | FL_KEY_F15
static std::string | FL_KEY_F16
static std::string | FL_KEY_F17
static std::string | FL_KEY_F18
static std::string | FL_KEY_F19
static std::string | FL_KEY_F20
static std::string | FL_KEY_F21
static std::string | FL_KEY_F22
static std::string | FL_KEY_F23
static std::string | FL_KEY_F24
static std::string | FL_KEY_F25
static std::string | FL_KEY_KP_0
static std::string | FL_KEY_KP_1
static std::string | FL_KEY_KP_2
static std::string | FL_KEY_KP_3
static std::string | FL_KEY_KP_4
static std::string | FL_KEY_KP_5
static std::string | FL_KEY_KP_6
static std::string | FL_KEY_KP_7
static std::string | FL_KEY_KP_8
static std::string | FL_KEY_KP_9
static std::string | FL_KEY_KP_DECIMAL = ""
static std::string | FL_KEY_KP_DIVIDE = ""
static std::string | FL_KEY_KP_MULTIPLY = ""
static std::string | FL_KEY_KP_SUBTRACT = ""
static std::string | FL_KEY_KP_ADD = ""
static std::string | FL_KEY_KP_ENTER = ""
static std::string | FL_KEY_KP_EQUAL = ""
static std::string | FL_KEY_LEFT_SHIFT = "LEFT_SHIFT"
static std::string | FL_KEY_LEFT_CONTROL = "LEFT_CONTROL"
static std::string | FL_KEY_LEFT_ALT = "LEFT_ALT"
static std::string | FL_KEY_LEFT_SUPER = "LEFT_SUPER"
static std::string | FL_KEY_RIGHT_SHIFT = "RIGHT_SHIFT"
static std::string | FL_KEY_RIGHT_CONTROL = "RIGHT_CONTROL"
static std::string | FL_KEY_RIGHT_ALT = "RIGHT_ALT"
static std::string | FL_KEY_RIGHT_SUPER = "RIGHT_SUPER"
static std::string | FL_KEY_MENU = "MENU"
static std::string | FL_MOUSE_BUTTON_1 = "MOUSE_1"
static std::string | FL_MOUSE_BUTTON_2 = "MOUSE_2"
static std::string | FL_MOUSE_BUTTON_3 = "MOUSE_3"
static std::string | FL_MOUSE_BUTTON_4 = "MOUSE_4"
static std::string | FL_MOUSE_BUTTON_5 = "MOUSE_5"
static std::string | FL_MOUSE_BUTTON_6 = "MOUSE_6"
static std::string | FL_MOUSE_BUTTON_7 = "MOUSE_7"
static std::string | FL_MOUSE_BUTTON_8 = "MOUSE_8"

## Field Documentation

## ◆ FL_KEY_0

std::string Fling::KeyNames::FL_KEY_0 = "0"
| static

## ◆ FL_KEY_1

std::string Fling::KeyNames::FL_KEY_1 = "1"
| static

## ◆ FL_KEY_2

std::string Fling::KeyNames::FL_KEY_2 = "2"
| static

## ◆ FL_KEY_3

std::string Fling::KeyNames::FL_KEY_3 = "3"
| static

## ◆ FL_KEY_4

std::string Fling::KeyNames::FL_KEY_4 = "4"
| static

## ◆ FL_KEY_5

std::string Fling::KeyNames::FL_KEY_5 = "5"
| static

## ◆ FL_KEY_6

std::string Fling::KeyNames::FL_KEY_6 = "6"
| static

## ◆ FL_KEY_7

std::string Fling::KeyNames::FL_KEY_7 = "7"
| static

## ◆ FL_KEY_8

std::string Fling::KeyNames::FL_KEY_8 = "8"
| static

## ◆ FL_KEY_9

std::string Fling::KeyNames::FL_KEY_9 = "9"
| static

## ◆ FL_KEY_A

std::string Fling::KeyNames::FL_KEY_A = "A"
| static

## ◆ FL_KEY_APOSTROPHE

std::string Fling::KeyNames::FL_KEY_APOSTROPHE = "APOSTROPHE"
| static

## ◆ FL_KEY_B

std::string Fling::KeyNames::FL_KEY_B = "B"
| static

## ◆ FL_KEY_BACKSLASH

std::string Fling::KeyNames::FL_KEY_BACKSLASH = "BACKSLASH"
| static

## ◆ FL_KEY_BACKSPACE

std::string Fling::KeyNames::FL_KEY_BACKSPACE = "BACKSPACE"
| static

## ◆ FL_KEY_C

std::string Fling::KeyNames::FL_KEY_C = "C"
| static

## ◆ FL_KEY_CAPS_LOCK

std::string Fling::KeyNames::FL_KEY_CAPS_LOCK = "CAPS_LOCK"
| static

## ◆ FL_KEY_COMMA

std::string Fling::KeyNames::FL_KEY_COMMA = "COMMA"
| static

## ◆ FL_KEY_D

std::string Fling::KeyNames::FL_KEY_D = "D"
| static

## ◆ FL_KEY_DELETE

std::string Fling::KeyNames::FL_KEY_DELETE = "DELETE"
| static

## ◆ FL_KEY_DOWN

std::string Fling::KeyNames::FL_KEY_DOWN = "DOWN"
| static

## ◆ FL_KEY_E

std::string Fling::KeyNames::FL_KEY_E = "E"
| static

## ◆ FL_KEY_END

std::string Fling::KeyNames::FL_KEY_END = "END"
| static

## ◆ FL_KEY_ENTER

std::string Fling::KeyNames::FL_KEY_ENTER = "ENTER"
| static

## ◆ FL_KEY_EQUAL

std::string Fling::KeyNames::FL_KEY_EQUAL = "EQUAL"
| static

## ◆ FL_KEY_ESCAPE

std::string Fling::KeyNames::FL_KEY_ESCAPE = "ESCAPE"
| static

## ◆ FL_KEY_F

std::string Fling::KeyNames::FL_KEY_F = "F"
| static

## ◆ FL_KEY_F1

std::string Fling::KeyNames::FL_KEY_F1 = "F1"
| static

## ◆ FL_KEY_F10

std::string Fling::KeyNames::FL_KEY_F10 = "F10"
| static

## ◆ FL_KEY_F11

std::string Fling::KeyNames::FL_KEY_F11 = "F11"
| static

## ◆ FL_KEY_F12

std::string Fling::KeyNames::FL_KEY_F12 = "F12"
| static

## ◆ FL_KEY_F13

std::string Fling::KeyNames::FL_KEY_F13
| static

## ◆ FL_KEY_F14

std::string Fling::KeyNames::FL_KEY_F14
| static

## ◆ FL_KEY_F15

std::string Fling::KeyNames::FL_KEY_F15
| static

## ◆ FL_KEY_F16

std::string Fling::KeyNames::FL_KEY_F16
| static

## ◆ FL_KEY_F17

std::string Fling::KeyNames::FL_KEY_F17
| static

## ◆ FL_KEY_F18

std::string Fling::KeyNames::FL_KEY_F18
| static

## ◆ FL_KEY_F19

std::string Fling::KeyNames::FL_KEY_F19
| static

## ◆ FL_KEY_F2

std::string Fling::KeyNames::FL_KEY_F2 = "F2"
| static

## ◆ FL_KEY_F20

std::string Fling::KeyNames::FL_KEY_F20
| static

## ◆ FL_KEY_F21

std::string Fling::KeyNames::FL_KEY_F21
| static

## ◆ FL_KEY_F22

std::string Fling::KeyNames::FL_KEY_F22
| static

## ◆ FL_KEY_F23

std::string Fling::KeyNames::FL_KEY_F23
| static

## ◆ FL_KEY_F24

std::string Fling::KeyNames::FL_KEY_F24
| static

## ◆ FL_KEY_F25

std::string Fling::KeyNames::FL_KEY_F25
| static

## ◆ FL_KEY_F3

std::string Fling::KeyNames::FL_KEY_F3 = "F3"
| static

## ◆ FL_KEY_F4

std::string Fling::KeyNames::FL_KEY_F4 = "F4"
| static

## ◆ FL_KEY_F5

std::string Fling::KeyNames::FL_KEY_F5 = "F5"
| static

## ◆ FL_KEY_F6

std::string Fling::KeyNames::FL_KEY_F6 = "F6"
| static

## ◆ FL_KEY_F7

std::string Fling::KeyNames::FL_KEY_F7 = "F7"
| static

## ◆ FL_KEY_F8

std::string Fling::KeyNames::FL_KEY_F8 = "F8"
| static

## ◆ FL_KEY_F9

std::string Fling::KeyNames::FL_KEY_F9 = "F9"
| static

## ◆ FL_KEY_G

std::string Fling::KeyNames::FL_KEY_G = "G"
| static

## ◆ FL_KEY_GRAVE_ACCENT

std::string Fling::KeyNames::FL_KEY_GRAVE_ACCENT = "ACCENT"
| static

## ◆ FL_KEY_H

std::string Fling::KeyNames::FL_KEY_H = "H"
| static

## ◆ FL_KEY_HOME

std::string Fling::KeyNames::FL_KEY_HOME = "HOME"
| static

## ◆ FL_KEY_I

std::string Fling::KeyNames::FL_KEY_I = "I"
| static

## ◆ FL_KEY_INSERT

std::string Fling::KeyNames::FL_KEY_INSERT = "INSERT"
| static

## ◆ FL_KEY_J

std::string Fling::KeyNames::FL_KEY_J = "J"
| static

## ◆ FL_KEY_K

std::string Fling::KeyNames::FL_KEY_K = "K"
| static

## ◆ FL_KEY_KP_0

std::string Fling::KeyNames::FL_KEY_KP_0
| static

## ◆ FL_KEY_KP_1

std::string Fling::KeyNames::FL_KEY_KP_1
| static

## ◆ FL_KEY_KP_2

std::string Fling::KeyNames::FL_KEY_KP_2
| static

## ◆ FL_KEY_KP_3

std::string Fling::KeyNames::FL_KEY_KP_3
| static

## ◆ FL_KEY_KP_4

std::string Fling::KeyNames::FL_KEY_KP_4
| static

## ◆ FL_KEY_KP_5

std::string Fling::KeyNames::FL_KEY_KP_5
| static

## ◆ FL_KEY_KP_6

std::string Fling::KeyNames::FL_KEY_KP_6
| static

## ◆ FL_KEY_KP_7

std::string Fling::KeyNames::FL_KEY_KP_7
| static

## ◆ FL_KEY_KP_8

std::string Fling::KeyNames::FL_KEY_KP_8
| static

## ◆ FL_KEY_KP_9

std::string Fling::KeyNames::FL_KEY_KP_9
| static

## ◆ FL_KEY_KP_ADD

std::string Fling::KeyNames::FL_KEY_KP_ADD = ""
| static

## ◆ FL_KEY_KP_DECIMAL

std::string Fling::KeyNames::FL_KEY_KP_DECIMAL = ""
| static

## ◆ FL_KEY_KP_DIVIDE

std::string Fling::KeyNames::FL_KEY_KP_DIVIDE = ""
| static

## ◆ FL_KEY_KP_ENTER

std::string Fling::KeyNames::FL_KEY_KP_ENTER = ""
| static

## ◆ FL_KEY_KP_EQUAL

std::string Fling::KeyNames::FL_KEY_KP_EQUAL = ""
| static

## ◆ FL_KEY_KP_MULTIPLY

std::string Fling::KeyNames::FL_KEY_KP_MULTIPLY = ""
| static

## ◆ FL_KEY_KP_SUBTRACT

std::string Fling::KeyNames::FL_KEY_KP_SUBTRACT = ""
| static

## ◆ FL_KEY_L

std::string Fling::KeyNames::FL_KEY_L = "L"
| static

## ◆ FL_KEY_LEFT

std::string Fling::KeyNames::FL_KEY_LEFT = "LEFT"
| static

## ◆ FL_KEY_LEFT_ALT

std::string Fling::KeyNames::FL_KEY_LEFT_ALT = "LEFT_ALT"
| static

## ◆ FL_KEY_LEFT_BRACKET

std::string Fling::KeyNames::FL_KEY_LEFT_BRACKET = "BRACKET"
| static

## ◆ FL_KEY_LEFT_CONTROL

std::string Fling::KeyNames::FL_KEY_LEFT_CONTROL = "LEFT_CONTROL"
| static

## ◆ FL_KEY_LEFT_SHIFT

std::string Fling::KeyNames::FL_KEY_LEFT_SHIFT = "LEFT_SHIFT"
| static

## ◆ FL_KEY_LEFT_SUPER

std::string Fling::KeyNames::FL_KEY_LEFT_SUPER = "LEFT_SUPER"
| static

## ◆ FL_KEY_M

std::string Fling::KeyNames::FL_KEY_M = "M"
| static

## ◆ FL_KEY_MENU

std::string Fling::KeyNames::FL_KEY_MENU = "MENU"
| static

## ◆ FL_KEY_MINUS

std::string Fling::KeyNames::FL_KEY_MINUS = "MINUS"
| static

## ◆ FL_KEY_N

std::string Fling::KeyNames::FL_KEY_N = "N"
| static

## ◆ FL_KEY_NUM_LOCK

std::string Fling::KeyNames::FL_KEY_NUM_LOCK = "NUM_LOCK"
| static

## ◆ FL_KEY_O

std::string Fling::KeyNames::FL_KEY_O = "O"
| static

## ◆ FL_KEY_P

std::string Fling::KeyNames::FL_KEY_P = "P"
| static

## ◆ FL_KEY_PAGE_DOWN

std::string Fling::KeyNames::FL_KEY_PAGE_DOWN = "PAGE_DOWN"
| static

## ◆ FL_KEY_PAGE_UP

std::string Fling::KeyNames::FL_KEY_PAGE_UP = "PAGE_UP"
| static

## ◆ FL_KEY_PAUSE

std::string Fling::KeyNames::FL_KEY_PAUSE = "PAUSE"
| static

## ◆ FL_KEY_PERIOD

std::string Fling::KeyNames::FL_KEY_PERIOD = "PERIOD"
| static

## ◆ FL_KEY_PRINT_SCREEN

std::string Fling::KeyNames::FL_KEY_PRINT_SCREEN = "PRINT_SCREEN"
| static

## ◆ FL_KEY_Q

std::string Fling::KeyNames::FL_KEY_Q = "Q"
| static

## ◆ FL_KEY_R

std::string Fling::KeyNames::FL_KEY_R = "R"
| static

## ◆ FL_KEY_RIGHT

std::string Fling::KeyNames::FL_KEY_RIGHT = "RIGHT"
| static

## ◆ FL_KEY_RIGHT_ALT

std::string Fling::KeyNames::FL_KEY_RIGHT_ALT = "RIGHT_ALT"
| static

## ◆ FL_KEY_RIGHT_BRACKET

std::string Fling::KeyNames::FL_KEY_RIGHT_BRACKET = "BRACKET"
| static

## ◆ FL_KEY_RIGHT_CONTROL

std::string Fling::KeyNames::FL_KEY_RIGHT_CONTROL = "RIGHT_CONTROL"
| static

## ◆ FL_KEY_RIGHT_SHIFT

std::string Fling::KeyNames::FL_KEY_RIGHT_SHIFT = "RIGHT_SHIFT"
| static

## ◆ FL_KEY_RIGHT_SUPER

std::string Fling::KeyNames::FL_KEY_RIGHT_SUPER = "RIGHT_SUPER"
| static

## ◆ FL_KEY_S

std::string Fling::KeyNames::FL_KEY_S = "S"
| static

## ◆ FL_KEY_SCROLL_LOCK

std::string Fling::KeyNames::FL_KEY_SCROLL_LOCK = "SCROLL_LOCK"
| static

## ◆ FL_KEY_SEMICOLON

std::string Fling::KeyNames::FL_KEY_SEMICOLON = "SEMICOLON"
| static

## ◆ FL_KEY_SLASH

std::string Fling::KeyNames::FL_KEY_SLASH = "SLASH"
| static

## ◆ FL_KEY_SPACE

std::string Fling::KeyNames::FL_KEY_SPACE = "SPACE"
| static

## ◆ FL_KEY_T

std::string Fling::KeyNames::FL_KEY_T = "T"
| static

## ◆ FL_KEY_TAB

std::string Fling::KeyNames::FL_KEY_TAB = "TAB"
| static

## ◆ FL_KEY_U

std::string Fling::KeyNames::FL_KEY_U = "U"
| static

## ◆ FL_KEY_UNKNOWN

std::string Fling::KeyNames::FL_KEY_UNKNOWN = "UNKNOWN"
| static

## ◆ FL_KEY_UP

std::string Fling::KeyNames::FL_KEY_UP = "UP"
| static

## ◆ FL_KEY_V

std::string Fling::KeyNames::FL_KEY_V = "V"
| static

## ◆ FL_KEY_W

std::string Fling::KeyNames::FL_KEY_W = "W"
| static

## ◆ FL_KEY_WORLD_1

std::string Fling::KeyNames::FL_KEY_WORLD_1 = "WORLD_1"
| static

## ◆ FL_KEY_WORLD_2

std::string Fling::KeyNames::FL_KEY_WORLD_2 = "WORLD_1"
| static

## ◆ FL_KEY_X

std::string Fling::KeyNames::FL_KEY_X = "X"
| static

## ◆ FL_KEY_Y

std::string Fling::KeyNames::FL_KEY_Y = "Y"
| static

## ◆ FL_KEY_Z

std::string Fling::KeyNames::FL_KEY_Z = "Z"
| static

## ◆ FL_MOUSE_BUTTON_1

std::string Fling::KeyNames::FL_MOUSE_BUTTON_1 = "MOUSE_1"
| static

## ◆ FL_MOUSE_BUTTON_2

std::string Fling::KeyNames::FL_MOUSE_BUTTON_2 = "MOUSE_2"
| static

## ◆ FL_MOUSE_BUTTON_3

std::string Fling::KeyNames::FL_MOUSE_BUTTON_3 = "MOUSE_3"
| static

## ◆ FL_MOUSE_BUTTON_4

std::string Fling::KeyNames::FL_MOUSE_BUTTON_4 = "MOUSE_4"
| static

## ◆ FL_MOUSE_BUTTON_5

std::string Fling::KeyNames::FL_MOUSE_BUTTON_5 = "MOUSE_5"
| static

## ◆ FL_MOUSE_BUTTON_6

std::string Fling::KeyNames::FL_MOUSE_BUTTON_6 = "MOUSE_6"
| static

## ◆ FL_MOUSE_BUTTON_7

std::string Fling::KeyNames::FL_MOUSE_BUTTON_7 = "MOUSE_7"
| static

## ◆ FL_MOUSE_BUTTON_8

std::string Fling::KeyNames::FL_MOUSE_BUTTON_8 = "MOUSE_8"
| static

The documentation for this struct was generated from the following files:

- FlingEngine/Core/inc/Input/Key.h
- FlingEngine/Core/src/Input/Key.cpp